﻿using MongoDB.Bson.Serialization.Attributes;
using MongoDB.Entities;

namespace SocialPub.Models.Data
{
	[BsonIgnoreExtraElements]
	public class socialpub : Entity
	{
		public DateTime Timestamp { get; set; }
		public string Level { get; set; }
		public string RenderedMessage { get; set; }

		[BsonIgnoreIfDefault, BsonIgnoreIfNull]
		public DbLogProperties Properties { get; set; }
		[BsonIgnoreIfDefault, BsonIgnoreIfNull]
		public string Exception { get; set; }
	}

	[BsonIgnoreExtraElements]
	public class DbLogProperties
	{
		public string SourceContext { get; set; }
	}
}