﻿using SocialPub.Models.Data;

namespace SocialPub.Services.ClientToServer.Public
{
    public interface IDataService
    {
        string GetCurrentVersion();

        Task<List<Language>> GetLanguages(CancellationToken cancellationToken);

        Task<bool> IsValidLanguageId(string languageId);
    }
}