﻿using MongoDB.Entities;

using SocialPub.Models;
using SocialPub.Models.Data;
using SocialPub.Models.Post;
using SocialPub.Models.User;

namespace SocialPub.StaticServices
{
	public class DbEntities
	{
		public Find<RootUser> RootUsers { get { return DB.Find<RootUser>(); } }
		public Find<RootUserSettings> RootUsersSettings { get { return DB.Find<RootUserSettings>(); } }
		public Find<RootUserNote> RootUserNotes { get { return DB.Find<RootUserNote>(); } }

		public Find<AppConfiguration> AppConfiguration { get { return DB.Find<AppConfiguration>(); } }
		public Find<Language> Languages { get { return DB.Find<Language>(); } }
		public Find<EmailRecovery> EmailRecoveries { get { return DB.Find<EmailRecovery>(); } }

		public Find<Post> Posts { get { return DB.Find<Post>(); } }
		public Find<DmPost> DmPosts { get { return DB.Find<DmPost>(); } }

		public Find<Avatar> Avatars { get { return DB.Find<Avatar>(); } }
		public Find<AvatarSettings> AvatarSettings { get { return DB.Find<AvatarSettings>(); } }

		public Find<RootToAvatar> RootToAvatars { get { return DB.Find<RootToAvatar>(); } }
	}
}
